Get tickets
Tickets
Get Tickets
Gets the tickets in the store.
Requires the stores.tickets.view permission.
GET
Get tickets
Filterable Fields
This endpoint supports filtering and sorting. See the Filtering & Sorting Guide for syntax details.| Field | Type | Description |
|---|---|---|
subject | string | Search ticket subject (case-insensitive contains) |
status | integer | Filter by ticket status. See Ticket Status |
customerEmail | string | Filter by customer email (case-insensitive contains) |
dateFrom | datetime | Filter tickets created on or after this date |
dateTo | datetime | Filter tickets created on or before this date |
Authorizations
Your API key goes here
Path Parameters
The ID of the store to get the tickets in
Query Parameters
Text search on the ticket subject (case‐insensitive contains).
Filter by ticket status (exact match on the enum name or numeric value). The different states of the ticket
Available options:
0, 1, 2, 3, 4 Filter by the customer’s email (case‐insensitive contains).
Date created ≥ this value.
Date created ≤ this value.
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 2147483647Response
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.